Skip to main content
Resource Center/Network Service/Network Service Operations/VPC Firewall Operations

AttachFirewallRuleSetToL3

AttachFirewallRuleSetToL3

POST/zstack/v1/vpcfirewalls/ruleSets/{ruleSetUuid}/l3networks/{l3Uuid}

Operation ID

AttachFirewallRuleSetToL3

Since

3.6.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • l3Uuid
    StringRequired

    The L3 UUID.

  • ruleSetUuid
    StringRequired

    The rule set UUID.

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • vpcFirewallUuid
      StringRequired

      The VPC firewall UUID.

    • forward
      StringRequired

      The forward.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    VpcFirewallRuleSetL3RefInventoryRequired

    See inventory.

    • id
      longRequired

      The resource ID.

    • ruleSetUuid
      StringRequired

      The rule set UUID.

    • l3NetworkUuid
      StringRequired

      The L3 network UUID.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • packetsForwardType
      PacketsForwardTypeRequired

      See packetsForwardType.

      • in
        PacketsForwardTypeRequired

        The in.

      • out
        PacketsForwardTypeRequired

        The out.

      • local
        PacketsForwardTypeRequired

        The local.